package http_model

import "time"

type GetSecTaskListRequest struct {
	PageSize      int64  `json:"page_size"`
	PageNum       int64  `json:"page_num"`
	SelectionId   string `json:"selection_id"`
	SecTaskStatus int    `json:"sec_task_status"`
	SearchValue   string `json:"search_value"`
	Type          int    `json:"type"` // 查询类型，1、2、3分别表示确定达人查询、发货管理查询、结算管理查询
}

type GetSecTaskListData struct {
	SecTaskList []*SecTaskInfo `json:"sec_task_list"`
	Total       string         `json:"total"`
}

type SecTaskInfo struct {
	SecTaskId             string    `json:"sec_task_id"`
	PlatformNickname      string    `json:"platform_nickname"`     // 帐号昵称
	FansCount             string    `json:"fans_count"`            // 粉丝数
	HomePageCaptureUrl    string    `json:"home_page_capture_url"` // 主页截图链接
	HomePageUrl           string    `json:"home_page_url"`         // 主页链接
	RegionCode            int       `json:"region_code"`
	DetailAddr            string    `json:"detail_addr"`            // 物流信息
	CompanyName           string    `json:"company_name"`           // 物流公司
	LogisticsNumber       string    `json:"logistics_number"`       // 物流单号
	ExplorestoreStarttime time.Time `json:"explorestore_starttime"` // 线下探店-探店开始时间
	ExplorestoreEndtime   time.Time `json:"explorestore_endtime"`   // 线下探店-探店结束时间
	ExplorestorePeriod    string    `json:"explorestore_period"`    // 线下探店-探店持续时间
	DataScreenshot        string    `json:"data_screenshot"`        // 数据截图
	AssignmentLink        string    `json:"assignment_link"`        // 作业链接
	ReturnMoney           string    `json:"return_money"`           // 返现
	TaskReward            string    `json:"task_reward"`            // 悬赏金
	IsPayReward           int       `json:"is_pay_reward"`          // 是否给悬赏金
	IsPayPayment          int       `json:"is_pay_payment"`         // 是否返现
	CreateDate            string    `json:"create_date"`            // 创建时间
	SelectDate            string    `json:"select_date"`            // 反选时间
	DeliveryDate          string    `json:"delivery_date"`          // 发货时间
	CompleteDate          string    `json:"complete_date"`          // 结算时间
}

func NewGetSecTaskListRequest() *GetSecTaskListRequest {
	return new(GetSecTaskListRequest)
}

func NewGetSecTaskListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetSecTaskListData)
	return resp
}
